#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	libxml2		# XML documents support
%bcond_without	lwgeom		# LWGEOM support
#
Summary:	Spatial SQL database engine based on SQLite
Summary(pl.UTF-8):	Silnik przestrzennej bazy danych SQL oparty na SQLite
Name:		libspatialite
Version:	4.2.0
Release:	3
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		Libraries
Source0:	http://www.gaia-gis.it/gaia-sins/libspatialite-sources/%{name}-%{version}.tar.gz
# Source0-md5:	83305ed694a77152120d1f74c5151779
URL:		https://www.gaia-gis.it/fossil/libspatialite
%{?with_apidocs:BuildRequires:	doxygen >= 1.7.3}
BuildRequires:	freexl-devel >= 0.0.4
BuildRequires:	geos-devel >= 3.3.0
%{?with_lwgeom:BuildRequires:	liblwgeom-devel}
%{?with_libxml2:BuildRequires:	libxml2-devel >= 2.0}
BuildRequires:	proj-devel >= 4
BuildRequires:	sqlite3-devel >= 3.7.3
BuildRequires:	zlib-devel
Requires:	freexl >= 0.0.4
Requires:	geos >= 3.3.0
Requires:	proj >= 4
Requires:	sqlite3 >= 3.7.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Spatial SQL database engine based on SQLite.

%description -l pl.UTF-8
Silnik przestrzennej bazy danych SQL oparty na SQLite.

%package devel
Summary:	Header files for spatialite library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki spatialite
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	freexl-devel >= 0.0.4
Requires:	geos-devel >= 3.3.0
%{?with_lwgeom:Requires:	liblwgeom-devel}
%{?with_libxml2:Requires:	libxml2-devel >= 2.0}
Requires:	proj-devel >= 4
Requires:	sqlite3-devel >= 3.7.3
Requires:	zlib-devel

%description devel
Header files for spatialite library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki spatialite.

%package static
Summary:	Static spatialite library
Summary(pl.UTF-8):	Statyczna biblioteka spatialite
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static spatialite library.

%description static -l pl.UTF-8
Statyczna biblioteka spatialite.

%package apidocs
Summary:	spatialite API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki spatialite
Group:		Documentation

%description apidocs
API and internal documentation for spatialite library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki spatialite.

%prep
%setup -q

%build
%configure \
	--enable-geocallbacks \
	--enable-geopackage \
	%{?with_libxml2:--enable-libxml2} \
	%{?with_lwgeom:--enable-lwgeom}

%{__make}

%{?with_apidocs:doxygen}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# loadable module
%{__rm} $RPM_BUILD_ROOT%{_libdir}/mod_spatialite.la
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libspatialite.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libspatialite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspatialite.so.7
# sqlite3 module
%attr(755,root,root) %{_libdir}/mod_spatialite.so*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspatialite.so
%{_includedir}/spatialite
%{_includedir}/spatialite.h
%{_pkgconfigdir}/spatialite.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libspatialite.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc html/*
%endif
%changelog
* Tue Nov 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libspatialite.git;a=log;h=master

* Tue Nov 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> afc6b1b
- release 3 (by relup.sh)

* Mon Nov 24 2014 Jan Rękorajski <baggins@pld-linux.org> 7ea1763
- release 2 (by relup.sh)

* Tue Jul 29 2014 Jakub Bogusz <qboosh@pld-linux.org> c9bfbff
- updated to 4.2.0

* Thu May 01 2014 Jan Palus <atler@pld-linux.org> f685ca0
- release 4 (by relup.sh)

* Sat Nov 30 2013 Jan Rękorajski <baggins@pld-linux.org> 36c5445
- release 3 (by relup.sh)

* Fri Sep 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 61c6d32
- release 2 (by relup.sh)

* Wed Jul 24 2013 Jakub Bogusz <qboosh@pld-linux.org> e50f9b1
- updated to 4.1.1

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> b549d0e
- release 2 (by relup.sh)

* Sun Jun 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 4590b7a
- updated to 4.1.0

* Tue Nov 27 2012 Jakub Bogusz <qboosh@pld-linux.org> c1129f6
- updated to 4.0.0 (note: new soname)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 04b386f
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 2e9107c
- cleanup

* Thu Sep 27 2012 Jakub Bogusz <qboosh@pld-linux.org> fbaa744
- new

